JAVA_HOME=/usr/java/jdk1.5.0_05/bin

LANCEMENT=1

for var in "$@"
do
	case $var in
		-p11 )
			export CPS3_PKCS11_TRACES=true
			echo "# Activation des traces pkcs#11 #";;
		-opsc )
			export CPS3_DEBUG=10
			echo "# Activation des traces OpenSC  #";;
		-usage | -h )
			echo
			echo "############## USAGE : #############"
			echo "# -p11 : Active les traces pkcs#11 #"
			echo "# -opsc : Active les traces OpenSC #"
			echo "# -usage : Affiche le USAGE        #"
			echo "# -h : Affiche le USAGE            #"
			echo "####################################"
			echo
			LANCEMENT=0;;
		* )
			echo "Argument invalide. cf. usage: -usage"
			LANCEMENT=0;;
	esac
done

if [ $LANCEMENT = 1 ];
then
{

  test -f "${JAVA_HOME}/java"
  if [ $? -ne 0 ]
  then {

    echo "# java est introuvable au chemin defini pour le JAVA_HOME ($JAVA_HOME) veuillez modifier la variable JAVA_HOME #"
    exit

  }
  fi

  "${JAVA_HOME}"/java -cp . -Djava.library.path=. -jar programmeExempleCPS3.jar
}
fi
exit 0;
